/*
	IntToWavCmd.h - convert integer format file to '.wav' format

	Will Eighteen, 2006: will@opaline.demon.co.uk
*/

#ifndef intTOWAVCMD_H
#define intTOWAVCMD_H

#ifndef BREAK
#define BREAK
#include <BreakCmd.h>
#endif


#define BUFSIZE 1024


class Wave;
class FileAccess;


class IntToWavCmd : public BreakCmd
{
	public:
		IntToWavCmd ( char *, int, char *, char * );
		virtual ~IntToWavCmd();
		void setWaveDefaults ( long, short, short );
		char *source() { return _srcFile; };
		char *target() { return _dstFile; };
		int error() { return _error; }

	protected:
		void doCommand();
		
	private:
		int  _error, _iValue, _once, _numInts, _percentDone;
		char _srcFile[BUFSIZE];
		char _dstFile[BUFSIZE];
		FileAccess *_in;
		FileAccess *_out;
		long _samplesPerSec, _totalSamples;
		short _bitsPerSample, _channels;
		Wave *_pWave;
};

#endif
