/*
 UndoCmd.cc - an interface to undoing the last Cmd

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#include "UndoCmd.h"

#define FALSE 0

UndoCmd *backtrack = new UndoCmd ( "Undo" );

UndoCmd::UndoCmd ( const char *name ) : NoUndoCmd ( name, FALSE )
{
	// empty
}

void UndoCmd::doCommand()
{
	if ( _lastCmd != NULL )
	{
		_lastCmd->undo();
		_lastCmd = NULL;	// ensure we undo only once
	}
}
